summaryrefslogtreecommitdiffstats
path: root/abs/core/dcron/crond
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/dcron/crond')
-rwxr-xr-xabs/core/dcron/crond37
1 files changed, 37 insertions, 0 deletions
diff --git a/abs/core/dcron/crond b/abs/core/dcron/crond
new file mode 100755
index 0000000..ef80db3
--- /dev/null
+++ b/abs/core/dcron/crond
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/crond`
+case "$1" in
+ start)
+ stat_busy "Starting Cron Daemon"
+ [ -z "$PID" ] && /usr/sbin/crond >>/var/log/crond 2>&1
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ PID=`pidof -o %PPID /usr/sbin/crond`
+ echo $PID >/var/run/crond.pid
+ add_daemon crond
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Cron Daemon"
+ [ ! -z "$PID" ] && kill $PID &>/dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon crond
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0